from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="emailsherlock",
    version="0.4.0",
    author="Asimd",
    author_email="delalic.asim@gmail.com",
    description="A powerful email validation tool using DNS and SMTP checks",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/asimd/emailsherlock",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
    ],
    python_requires=">=3.7",
    install_requires=[
        "dnspython>=2.1.0",
    ],
    entry_points={
        "console_scripts": [
            "emailsherlock=emailsherlock.cli:main",
        ],
    },
    py_modules=["emailsherlock"],
)